/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test;

import java.net.URL;
import java.util.Properties;
import javax.naming.InitialContext;

/**
 * Base class for IIOP tests that sets up the InitialContext to use the
 * cosnaming service.
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1 $
 */
public class JBossIIOPTestCase extends JBossTestCase
{
   protected Properties jndiProps;

   public JBossIIOPTestCase(String name)
   {
      super(name);
   }

   // Override getInitialContext() ----------------------------------
   protected InitialContext getInitialContext() throws Exception
   {
      if( jndiProps == null )
      {
         URL url  = ClassLoader.getSystemResource("cosnaming.jndi.properties");
         jndiProps = new java.util.Properties();
         jndiProps.load(url.openStream());
         String host = System.getProperty("jbosstest.server.host", "localhost");
         String corbaloc = "corbaloc::"+host+":3528/JBoss/Naming/root";
         jndiProps.setProperty("java.naming.provider.url", corbaloc);
      }
      return new InitialContext(jndiProps);
   }

}
